searchNodes=[{"doc":"This module exposes a macro that you can inject into your Repo module so that you can pretty print SQL queries with the parameters espaced into the query. Once you use this module in your Repo module, you'll be able to call the injected functions with your query and you can see the formatted SQL that Ecto generates. Warning This library makes use of pgFormatter (which is a Perl script) in order to format your SQL queries. This is meant to be a tool that is used during development and should probably not be shipped with your production application. It is recommended that you add this library as only a dev/test dependency.","ref":"EctoDbg.html","title":"EctoDbg","type":"module"},{"doc":"By using this macro in your Repo module, you will get 6 additional functions added to your repo module. This functions are: all_and_log/1 and all_and_log/2 update_all_and_log/1 and update_all_and_log/2 delete_all_and_log/1 and delete_all_and_log/2 log_all_query/1 log_update_all_query/1 log_delete_all_query/1 The *_and_log functions will output the query and will also execute it with the corresponding Repo function ( all , update_all , and delete_all ). The one and two arity versions of these functions align with the Repo functions so that these functions can be used as direct drop in replacements when you need to see what query is actually being executed by Ecto. The log_*_query functions will simply log out the generated query without executing them. This macro currently supports the following options that can be used to configured how it behaves: :level - Specifies the log level for when the SQL query is logged (default: :debug ). :logger_function - Specifies the module+function that will be invoked when logging an SQL query. The provided module+function must have an arity of 4 and accept the following parameters: repo, action, formatted_sql, opts where opts are the options that were passed to the use EctoDbg macro. The default value is: {EctoDbg, :default_logger} .","ref":"EctoDbg.html#__using__/1","title":"EctoDbg.__using__/1","type":"macro"},{"doc":"Easily debug and pretty print your Ecto SQL queries Contents Installation Supporting EctoDbg Setting Up EctoDbg Attribution","ref":"readme.html","title":"README","type":"extras"},{"doc":"Available in Hex , the package can be installed by adding ecto_dbg to your list of dependencies in mix.exs : def deps do [ { :ecto_dbg , &quot;~&gt; 0.1.0&quot; , only : [ :dev , :test ] } ] end Documentation can be found at https://hexdocs.pm/ecto_dbg .","ref":"readme.html#installation","title":"README - Installation","type":"extras"},{"doc":"If you rely on this library help you debug your Ecto queries, it would much appreciated if you can give back to the project in order to help ensure its continued development. Checkout my GitHub Sponsorship page if you want to help out! Gold Sponsors Silver Sponsors Bronze Sponsors","ref":"readme.html#supporting-ectodbg","title":"README - Supporting EctoDbg","type":"extras"},{"doc":"After adding {:ecto_dbg, &quot;~&gt; 0.1.0&quot;, only: [:test, :dev]} in your mix.exs file and running mix deps.get , open your repo.ex file and add the following contents: defmodule MyApp.Repo do use Ecto.Repo , otp_app : :my_app , adapter : Ecto.Adapters.Postgres unless Mix . env ( ) == :prod do use EctoDbg end end You can also pass configuration options to EctoDbg if you so chose like so (see the EctoDbg module docs for more information): defmodule MyApp.Repo do use Ecto.Repo , otp_app : :my_app , adapter : Ecto.Adapters.Postgres unless Mix . env ( ) == :prod do use EctoDbg , level : :info end end With that in place, any time that you want to inspect a query that is executed by Ecto, all you need to do is the following query = from user in User Repo . all_and_log ( query )","ref":"readme.html#setting-up-ectodbg","title":"README - Setting Up EctoDbg","type":"extras"},{"doc":"EctoDbg builds upon the EctoDevLogger package and has reused some of the code in that project to achieve a slightly different goal. The logo for the project is an edited version of an SVG image from the unDraw project . The EctoDbg library wraps pgFormatter in order to provide SQL formatting.","ref":"readme.html#attribution","title":"README - Attribution","type":"extras"}]